export declare class FileSystemAccess {
    getLastModified(path: string): Date;
    getFileSize(path: string): number;
    getParent(path: string, onError?: (error: any) => any): {
        path: string;
        name: string;
    };
    getFile(path: string, onError?: (error: any) => any): {
        path: string;
        name: string;
        extension: string;
    };
    getFolder(path: string, onError?: (error: any) => any): {
        path: string;
        name: string;
    };
    getExistingFolder(path: string, onError?: (error: any) => any): {
        path: string;
        name: string;
    };
    eachEntity(path: string, onEntity: (file: {
        path: string;
        name: string;
        extension: string;
    }) => any, onError?: (error: any) => any): void;
    getEntities(path: string, onError?: (error: any) => any): Array<{
        path: string;
        name: string;
        extension: string;
    }>;
    fileExists(path: string): boolean;
    folderExists(path: string): boolean;
    private exists;
    concatPath(left: string, right: string): string;
    deleteFile(path: string, onError?: (error: any) => any): void;
    deleteFolder(path: string, onError?: (error: any) => any): void;
    emptyFolder(path: string, onError?: (error: any) => any): void;
    rename(path: string, newPath: string, onError?: (error: any) => any): void;
    getLogicalRootPath(): string;
    getDocumentsFolderPath(): string;
    getExternalDocumentsFolderPath(): string;
    getTempFolderPath(): string;
    getCurrentAppPath(): string;
    copy: any;
    copySync(src: string, dest: string, onError?: (error: any) => any): boolean;
    copyAsync(src: string, dest: string): Promise<boolean>;
    readText: any;
    readTextAsync(path: string, encoding?: any): Promise<string>;
    readTextSync(path: string, onError?: (error: any) => any, encoding?: any): string;
    readBuffer: any;
    readBufferAsync(path: string): Promise<ArrayBuffer>;
    readBufferSync(path: string, onError?: (error: any) => any): ArrayBuffer;
    read: any;
    readAsync(path: string): Promise<NSData>;
    readSync(path: string, onError?: (error: any) => any): NSData;
    writeText: any;
    writeTextAsync(path: string, content: string, encoding?: any): Promise<void>;
    writeTextSync(path: string, content: string, onError?: (error: any) => any, encoding?: any): void;
    static getBuffer(buffer: ArrayBuffer | Uint8Array | Uint8ClampedArray): NSData;
    appendBuffer: any;
    appendBufferAsync(path: string, content: ArrayBuffer | Uint8Array | Uint8ClampedArray): Promise<void>;
    appendBufferSync(path: string, content: ArrayBuffer | Uint8Array | Uint8ClampedArray, onError?: (error: any) => any): void;
    append: any;
    appendAsync(path: string, content: NSData): Promise<void>;
    appendSync(path: string, content: NSData, onError?: (error: any) => any): void;
    appendText: any;
    appendTextAsync(path: string, content: string, encoding?: any): Promise<void>;
    appendTextSync(path: string, content: string, onError?: (error: any) => any, encoding?: any): void;
    writeBuffer: any;
    writeBufferAsync(path: string, content: ArrayBuffer | Uint8Array | Uint8ClampedArray): Promise<void>;
    writeBufferSync(path: string, content: ArrayBuffer | Uint8Array | Uint8ClampedArray, onError?: (error: any) => any): void;
    write: any;
    writeAsync(path: string, content: NSData): Promise<void>;
    writeSync(path: string, content: NSData, onError?: (error: any) => any): void;
    private getKnownPath;
    getFileExtension(path: string): string;
    private deleteEntity;
    private enumEntities;
    getPathSeparator(): string;
    normalizePath(path: string): string;
    joinPath(left: string, right: string): string;
    joinPaths(paths: string[]): string;
}
export declare class FileSystemAccess29 extends FileSystemAccess {
}
